Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelDeployments
/
{modelDeploymentId}
/
credentials
/
{operationType}
Retrieve temporary credentials of a specific Model Deployment for a specific operation type
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials/{operationType} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "credentials": {},
  "expirationTime": "2023-07-15T14:35:47.89Z",
  "operationType": "INVOKE_ENDPOINT"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelDeploymentId
string
required

The id of the Model Deployment

operationType
string
required

The operation type of the credentials

Response

Credentials for the specific operation type

Model Deployment Credentials

credentials
object
required

The actual credentials represented as key value pairs

credentialsType
enum<string>
required

This field identifies the type of credential. The enum value limits the possibilities to what this model deployment supports.

Available options:
AWS,
HMAC
expirationTime
string<date-time>
required
Example:

"2023-07-15T14:35:47.89Z"

operationType
string
required
Example:

"INVOKE_ENDPOINT"